Subject: Re: phoenix lambda-lambda for_each example
From: David Abrahams <[email-masked]>
To: Joel de Guzman <[email-masked]>
Cc: Aleksey Gurtovoy <[email-masked]>, Noah Stein <[email-masked]>, Jaakko Jarvi <[email-masked]>
Date: Wed, 03 Mar 2004 11:03:17 -0500

Joel de Guzman <[email-masked]> writes:

> David Abrahams wrote:
>
>> I prefer the explicit and readable to the cryptic.
>>          lambda(seq)
>>          [
>>               for_each(seq, push_back(seq, arg1) )
>>          ]
>> Isn't too bad.
>
> Hmmm. Conflict ;-)
>
> How about a compromise:
>
>      for_each[seq](seq, push_back(seq, arg1))
>
> But hey! We can probably have absolute place-holders
> and scope-relative place-holders at the same time:
>
>      for_each(seq, push_back(seq, arg1))
>
> where seq is an absolute place-holder referring to the
> outermost scope where it is first seen and arg1 is a
> scope-relative place-holder (as usual).
>
> <<< Perhaps that's what Noah meant. Hmmm... Now,
> I wonder how difficult it would be to implement that. >>>

I thought that's what I meant.

Incidentally, "outer" is growing on me.

-- 
Dave Abrahams
Boost Consulting
www.boost-consulting.com